#include <stdio.h>

// naive solution which uses integer instead of double
// we have to be careful and use long long to avoid overflows

int main() {
	for (int a=1; a<=2000; ++a)
		for (int b=a; b<=2000; ++b)
			for (int c=b; c<=2000; ++c)
				for (int d=c,s=a+b+c+d; s<=2000; ++d,++s) {
					long long p = ((long long)a)*b*c*d;
					if (p == s*1000000LL)
						printf("%.2f %.2f %.2f %.2f\n",a/100.0,b/100.0,c/100.0,d/100.0);
				}
	return 0;
}
